﻿using System.Collections.Generic;

namespace Common
{
    public interface IResult
    {
        string Message { get; }
        public Context Context { get; }
    }


    public interface IResult<out T> : IResult
    {
        void AddPreviousResult(IEnumerable<IResult> currentResult);
    }


    public interface IFailResult { }


    public interface ISuccessResult<out T> : IResult<T>
    {
        T Value { get; }
    }

}
